org.apache.sling.hc.api.execution

## Interface HealthCheckExecutor

Deprecated.

    @Deprecated
     @ProviderType
    public interface HealthCheckExecutor

Executes health checks registered as OSGi services and implementing the interface `HealthCheck`.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`List<HealthCheckExecutionResult>` `execute(HealthCheckExecutionOptions options, String... tags)` Deprecated. use execute(HealthCheckFilter.Options, HealthCheckExecutionOptions)
`List<HealthCheckExecutionResult>` `execute(HealthCheckSelector selector)` Deprecated. Executes all health checks matching the supplied filter options.
`List<HealthCheckExecutionResult>` `execute(HealthCheckSelector selector, HealthCheckExecutionOptions options)` Deprecated. Executes all health checks with the supplied filter options.
`List<HealthCheckExecutionResult>` `execute(String... tags)` Deprecated. use execute(HealthCheckFilter.Options)

### Method Detail

#### execute

    List<HealthCheckExecutionResult> execute(HealthCheckSelector selector)

Deprecated.
Executes all health checks matching the supplied filter options. If no options are supplied, all health checks are executed.

Parameters:
  `selector` - filter selector
Returns:
  List of results. The list might be empty.

#### execute

    List<HealthCheckExecutionResult> execute(HealthCheckSelector selector,
                                             HealthCheckExecutionOptions options)

Deprecated.
Executes all health checks with the supplied filter options. If no options are supplied, all health checks are executed.

Parameters:
  `selector` - filter selector
  `options` - options for controlling execution behavior
Returns:
  List of results. The list might be empty.

#### execute

    @Deprecated
    List<HealthCheckExecutionResult> execute(String... tags)

Deprecated. use execute(HealthCheckFilter.Options)
Executes all health checks with the supplied list of tags. If no tags are supplied, all health checks are executed.

Returns:
  List of results. The list might be empty.

#### execute

    @Deprecated
    List<HealthCheckExecutionResult> execute(HealthCheckExecutionOptions options,
                                                         String... tags)

Deprecated. use execute(HealthCheckFilter.Options, HealthCheckExecutionOptions)
Executes all health checks with the supplied list of tags. If no tags are supplied, all health checks are executed.

Parameters:
  `options` - options for controlling execution behavior
  `tags` - tags to be executed
Returns:
  List of results. The list might be empty.